CC=gcc
CFLAGS=-Wall -Wextra -Werror -fsanitize=address -g -pedantic

SRCS=dlist.c main.c
OBJS=$(SRCS:.c=.o)

TARGET=dlist

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $^

clean:
	$(RM) -r $(TARGET) $(OBJS) 
